<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="A.ico" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\AIStudio.Wpf.DiagramDesigner.Additionals\AIStudio.Wpf.DiagramDesigner.Additionals.csproj" />
    <ProjectReference Include="..\AIStudio.Wpf.DiagramDesigner\AIStudio.Wpf.DiagramDesigner.csproj" />
    <ProjectReference Include="..\AIStudio.Wpf.Flowchart\AIStudio.Wpf.Flowchart.csproj" />
    <ProjectReference Include="..\AIStudio.Wpf.Mind\AIStudio.Wpf.Mind.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AIStudio.Wpf.Controls" Version="1.1.46" />
    <PackageReference Include="Costura.Fody" Version="5.7.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="A.ico" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Views\Nodes\CustomDefinedNodeView.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Page Update="Views\Nodes\CustomDefinedNodeView.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>

</Project>
